#################################################################################
##                                                                             ##
##    M  a  k  e  f  i  l  e  .  c  l  u  s  t  e  r  2  0  1  5               ##
##                                                                             ##
##   Make include file for compiler and os specific settings                   ##
##   Compile and link options for Intel compiler mpiicc and library            ##
##   settings for the HLRS2015 cluster at PIK                                  ##
##   Parallel MPI is enabled                                                   ##
##                                                                             ##
## (C) Potsdam Institute for Climate Impact Research (PIK), see COPYRIGHT file ##
## authors, and contributors see AUTHORS file                                  ##
## This file is part of LPJmL and licensed under GNU AGPL Version 3            ##
## or later. See LICENSE file or go to http://www.gnu.org/licenses/            ##
## Contact: https://github.com/PIK-LPJmL/LPJmL                                 ##
##                                                                             ##
#################################################################################

CC	= mpiicc
OPTFLAGS= -g -O3 -ipo -xCORE-AVX2 -no-prec-div -no-inline-max-total-size -no-inline-max-size
DEBUGFLAGS = -g
CHECKFLAGS = -g -check-pointers=rw
LPJFLAGS=  -DUSE_RAND48 -DUSE_MPI -DSAFE -DWITH_FPE -DSTORECLIMATE -DUSE_NETCDF -DUSE_UDUNITS -DCOUPLING_WITH_FMS -DUSE_JSON -DPERMUTE #-DDAILY_ESTABLISHMENT
##LPJFLAGS=  -DUSE_RAND48 -DUSE_MPI -DSAFE -DWITH_FPE -DSTORECLIMATE -DUSE_NETCDF -DUSE_UDUNITS -DUSE_JSON -DPERMUTE #-DDAILY_ESTABLISHMENT
WFLAG   = -Wall -w3
NETCDF_INC      = -I$(NETCDF_CROOT)/include -I$(UDUNITSROOT)/include
NETCDF_LIB      = -L$(NETCDF_CROOT)/lib -L$(UDUNITSROOT)/lib -L$(EXPATROOT)/lib -L$(HDF5ROOT)/lib -L$(CURLROOT)/lib -L$(OPENSSLROOT)/lib -L$(SZIPROOT)/lib
JSON_INC	= -I$(JSONCROOT)/include
JSON_LIB	= -L$(JSONCROOT)/lib -ljson-c
O	= o
A	= a
E	=
AR	= xiar
ARFLAGS	= r 
RM	= rm 
RMFLAGS	= -f
LIBS    = $(NETCDF_LIB) -lnetcdf -ludunits2 -lexpat -lhdf5 -lcurl -lz  -ldl -lssl -lcrypto -lhdf5_hl -lsz $(JSON_LIB)
LINKMAIN= mpiicc
VIEWPRG	= lpjserver
LINK	= icc
SLASH	= /
MKDIR	= mkdir -p
CFLAGS	= $(WFLAG) $(LPJFLAGS) $(OPTFLAGS)
LNOPTS	= $(WFLAG) $(OPTFLAGS) -o 
LPJROOT = /p/projects/amazonas/drueke/POEM/src/land_atlantes/lpj_trunk
